// swiftlint:disable variable_name
/// Represents possible label values on alert buttons.
open class SystemAlertLabel {
    private init() {}

    /// Automatically generated property for localized variants of dontAllow.
    open static let dontAllow = [
        "ไม่อนุญาต",
        "No permetre",
        "Заборонити",
        "عدم السماح",
        "Ikke tillat",
        "No permitir",
        "不允许",
        "許可しない",
        "Nepovoliť",
        "Άρνηση",
        "Nu permiteți",
        "אל תאפשר",
        "Não permitir",
        "Jangan Benarkan",
        "Nie pozwalaj",
        "Tidak Boleh",
        "Non consentire",
        "Don’t Allow",
        "不允許",
        "İzin Verme",
        "Sta niet toe",
        "Nemoj dozvoliti",
        "Zakázat",
        "허용 안 함",
        "Tillåt inte",
        "Tillad ikke",
        "Älä salli",
        "Từ chối",
        "Tiltás",
        "अनुमति न दें",
        "Não Permitir",
        "Запретить",
        "Refuser",
        "Nein",
    ]

    /// Automatically generated property for localized variants of allow.
    open static let allow = [
        "Salli",
        "허용",
        "允许",
        "Tillåt",
        "Permetre",
        "Izinkan",
        "السماح",
        "Povoliť",
        "Cho phép",
        "Allow",
        "Permiteți",
        "Autoriser",
        "Benarkan",
        "Permitir",
        "允許",
        "Sta toe",
        "Erlauben",
        "Pozwalaj",
        "अनुमति दें",
        "Tillat",
        "許可",
        "Дозволити",
        "Разрешить",
        "Tillad",
        "Engedélyezés",
        "İzin Ver",
        "อนุญาต",
        "Dozvoli",
        "Povolit",
        "אפשר",
        "Consenti",
        "Να επιτρέπεται",
    ]

    /// Automatically generated property for localized variants of ok.
    open static let ok = [
        "ОК",
        "Tamam",
        "ΟΚ",
        "확인",
        "אישור",
        "OKE",
        "OK",
        "ตกลง",
        "موافق",
        "好",
        "ठीक",
    ]

    /// Automatically generated property for localized variants of cancel.
    open static let cancel = [
        "Annuler",
        "Скасувати",
        "Batalkan",
        "Batal",
        "Mégsem",
        "إلغاء",
        "ביטול",
        "Anuluj",
        "Hủy",
        "取消",
        "Zrušit",
        "Vazgeç",
        "キャンセル",
        "Cancel·lar",
        "Kumoa",
        "रद्द करें",
        "ยกเลิก",
        "Отменить",
        "Annuller",
        "Cancel",
        "Annuleer",
        "Poništi",
        "Avbryt",
        "Ακύρωση",
        "Anulați",
        "취소",
        "Cancelar",
        "Zrušiť",
        "Abbrechen",
        "Annulla",
    ]

}
